osl::effect_util::EffectUtil::FindThreat< EvalT > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::effect_util::EffectUtil::FindThreat< EvalT > Struct Template Reference

`#include <effectUtil.h>`

Collaboration diagram for osl::effect_util::EffectUtil::FindThreat< EvalT >:
[legend]

## Public Member Functions
| FindThreat (const NumEffectState &st, Player t, int a, PieceVector &s, PieceVector &u)
void | operator() (Square pos)

## Public Attributes
const NumEffectState & | state
Player | target
int | attacker_value
PieceVector & | supported
PieceVector & | unsupported

## Detailed Description

### template<class EvalT>
struct osl::effect_util::EffectUtil::FindThreat< EvalT >

Definition at line 85 of file effectUtil.h.

## Constructor & Destructor Documentation

template<class EvalT>

osl::effect_util::EffectUtil::FindThreat< EvalT >::FindThreat | ( | const NumEffectState & | st,
|  | Player | t,
|  | int | a,
|  | PieceVector & | s,
|  | PieceVector & | u
| ) |  |
| inline

Definition at line 144 of file effectUtil.tcc.

## Member Function Documentation

template<class EvalT>

void osl::effect_util::EffectUtil::FindThreat< EvalT >::operator() | ( | Square | pos) |  |
| inline

Definition at line 149 of file effectUtil.tcc.

References osl::Piece::isPiece(), osl::Piece::owner(), osl::Piece::ptypeO(), and target.

## Member Data Documentation

template<class EvalT>

int osl::effect_util::EffectUtil::FindThreat< EvalT >::attacker_value

Definition at line 142 of file effectUtil.tcc.

template<class EvalT>

const NumEffectState& osl::effect_util::EffectUtil::FindThreat< EvalT >::state

Definition at line 140 of file effectUtil.tcc.

template<class EvalT>

PieceVector& osl::effect_util::EffectUtil::FindThreat< EvalT >::supported

Definition at line 143 of file effectUtil.tcc.

template<class EvalT>

Player osl::effect_util::EffectUtil::FindThreat< EvalT >::target

Definition at line 141 of file effectUtil.tcc.

template<class EvalT>

PieceVector & osl::effect_util::EffectUtil::FindThreat< EvalT >::unsupported

Definition at line 143 of file effectUtil.tcc.

The documentation for this struct was generated from the following files:

- effectUtil.h
- effectUtil.tcc